Summary: Library providing XML and HTML support
Name: libxml2
Version: 2.6.15
Release: 0.1tr
License: MIT
Group: Libraries/Development
Source: ftp://xmlsoft.org/libxml2-%{version}.tar.gz
Patch0: libxml2-2.5.10-urlbound.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: python python-devel
URL: http://xmlsoft.org/

%description
This library allows to manipulate XML files. It includes support 
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.

%package devel
Summary: Libraries, includes, etc. to develop XML and HTML applications
Group: Libraries/Development
Requires: libxml2 = %{version}
Requires: zlib-devel

%description devel
Libraries, include files, etc you can use to develop XML applications.
This library allows to manipulate XML files. It includes support 
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.

%package python
Summary: Python bindings for the libxml2 library
Group: Libraries/Development
Requires: libxml2 = %{version}
Requires: python

%description python
The libxml2-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxml2 library to manipulate XML files.

This library allows to manipulate XML files. It includes support 
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DTDs, either
at parse time or later once the document has been modified.

%prep
%setup -q
#%patch0 -p0

%build
%configure
make
# LIBTOOL=/usr/bin/libtool

%install
rm -fr %{buildroot}

%makeinstall

#
# this is a bit ugly but tries to generate the bindings for all versions
# of python installed
#
for i in %{_prefix}/include/python*
do
    py_version=`echo $i | sed "s+%{_prefix}/include/python++"`
    if test -x %{_prefix}/bin/python$py_version
    then
        echo generating bindings for Python $py_version
      (cd python ; make clean ; \
         make PYTHON="%{_prefix}/bin/python$py_version" \
            PYTHON_INCLUDES="%{_prefix}/include/python$py_version" \
            PYTHON_VERSION="$py_version"; \
%makeinstall PYTHON="%{_prefix}/bin/python$py_version" \
            PYTHON_INCLUDES="%{_prefix}/include/python$py_version" \
            PYTHON_VERSION="$py_version" )
    fi
done

%clean
rm -fr %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS ChangeLog NEWS README Copyright TODO
%doc %{_mandir}/man1/xmllint.1*
%doc %{_mandir}/man1/xmlcatalog.1*
%doc %{_mandir}/man3/libxml.3*

%{_libdir}/lib*.so.*
%{_prefix}/bin/xmllint
%{_prefix}/bin/xmlcatalog

%files devel
%defattr(-, root, root)

%doc %{_mandir}/man1/xml2-config.1*
%doc AUTHORS ChangeLog NEWS README Copyright TODO
%doc doc/*.html doc/html doc/*.gif doc/*.png
%doc doc/tutorial doc/libxml2-api.xml

%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/*.sh
%{_prefix}/include/*
%{_prefix}/bin/xml2-config
%{_prefix}/share/aclocal/libxml.m4
%{_libdir}/pkgconfig/libxml-2.0.pc
%files python
%defattr(-, root, root)

%doc AUTHORS ChangeLog NEWS README Copyright
%{_libdir}/python*/site-packages/libxml2.py
%{_libdir}/python*/site-packages/drv_libxml2.py
%{_libdir}/python*/site-packages/libxml2mod*
%doc python/TODO
%doc python/libxml2class.txt
%doc python/tests/*.py
%doc doc/*.py
%doc doc/python.html

%changelog
* Thu Oct 28 2004 Oystein Viggen <oysteivi at trustix dot com> 2.6.15-0.1tr
- New upstream.

* Fri Feb 27 2004 Oystein Viggen <oysteivi at trustix dot org> 2.5.10-1tr
- New upstream version
- Apply patch from Red Hat, fixing overruns in nanohttp.c and nanoftp.c

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.5.7-2tr
- Big rebuild

* Wed May 28 2003 Gerald Dachs <gda@trustix.org>
- new package for domxml support in php
